const foodIdeas = [
  {
    name: "Szechuan Beef",
    description: "Spicy and flavorful stir-fried beef with Szechuan peppercorns and vegetables.",
    image: "szechuan-beef.jpg"
  },
  {
    name: "Pad Thai",
    description: "Classic Thai stir-fried rice noodles with shrimp, tofu, and peanuts.",
    image: "pad-thai.jpg"
  },
  {
    name: "Xiaolongbao",
    description: "Shanghai-style soup dumplings filled with pork and rich broth.",
    image: "xiaolongbao.jpg"
  },
  {
    name: "Bibimbap",
    description: "Korean mixed rice bowl with assorted vegetables, meat, and gochujang sauce.",
    image: "bibimbap.jpg"
  },
  {
    name: "Ramen",
    description: "Japanese noodle soup with rich broth, chashu pork, and soft-boiled egg.",
    image: "ramen.jpg"
  },
  {
    name: "Dim Sum Platter",
    description: "Assortment of Cantonese small dishes including dumplings and buns.",
    image: "dim-sum.jpg"
  }
];

function getRandomIdea() {
  const randomIndex = Math.floor(Math.random() * foodIdeas.length);
  return foodIdeas[randomIndex];
}

function displayIdea() {
  const idea = getRandomIdea();
  document.getElementById('food-name').textContent = idea.name;
  document.getElementById('food-description').textContent = idea.description;
  document.getElementById('food-image').src = `images/${idea.image}`;
}

document.getElementById('generate-btn').addEventListener('click', displayIdea);

// Display initial idea on page load
displayIdea();